Delete listing
DELETE
/listings/{id}
const url = 'https://acme.mykreezalid.com/api/partners/v1/listings/1';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://acme.mykreezalid.com/api/partners/v1/listings/1 \ --header 'Authorization: Basic <credentials>'Deletes one of your listings. When the deletion fails, the response still has HTTP status 200, with success: false and the message Error. No listing deleted.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Listing’s unique identifier
Responses
Section titled “Responses”The outcome of the deletion.
Media typeapplication/json
object
success
boolean
message
Listing deleted, or Error. No listing deleted.
string
Example
{ "success": true, "message": "Listing deleted"}Missing or wrong API credentials.
No listing of yours has this ID.